#include<iostream.h> 
#include<iomanip.h> 
 int main()                                                  
{
 void rev(int *p,int *q); 
 const int N=10;
 int a[N],i;
 for(i=0;i<N;i++)
  cin>>a[i];
 rev(a,a+N-1);
 for(i=0;i<N;i++)
  cout<<setw(4)<<a[i];
 return(0);
}
 void rev(int *p,int *q) 
{
 int t;
 if(p<q)
 {
  rev(p+1,q-1);
  t=*p;
  *p=*q;
  *q=t;
 }
}
